Modify

#35 closed enhancement (fixed)

Grouping buddies in bitlbee

Reported by: anonymous Owned by:
Priority: wishlist Milestone:
Component: BitlBee Version:
Keywords: uifix Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

I heard it is in the TODO, but I thought of submitting it anyways. That is the ability to group buddies in user defined categories/groups.

Attachments (0)

Change History (21)

comment:1 Changed at 2005-11-28T08:52:52Z by wilmer

Type: defectenhancement

comment:2 Changed at 2005-11-30T05:21:18Z by mbs

Considering the IRC-like interface, we might want to put user-defined buddy groups into channels (possibly with unique names and/or behavior).

comment:3 Changed at 2005-11-30T10:33:40Z by wilmer

Who is "we"? ;-)

But yes, that's exactly the plan.

comment:4 Changed at 2006-03-24T12:13:30Z by kroesjnov

If this is ever implemented, I'd prefer users to join the buddy group channel, yet also still be available in the main channel.

comment:5 Changed at 2006-03-24T12:17:04Z by Chris Searle

From discussion today on irc - just a question on - if we allow buddies to be members of more than one buddy group (as in IRC where you can be on several channels) - and private is set to false - if the buddy speaks - where should it go? All the relevant groups?

comment:6 Changed at 2006-06-24T15:05:38Z by anonymous

There are groups stored on the AIM servers that I would be very pleased if my buddies showed up in.

comment:7 Changed at 2006-10-22T09:31:43Z by wilmer

Oh, Chris Searle raises a very interesting question. Don't know how this will work exactly in the future. It might show up in the first channel where the buddy is. That's probably more likely than to show it in every channel.

Or it'll be a setting, of course. ;-)

(Sorry for the late response.)

comment:8 Changed at 2006-12-06T11:36:42Z by xwl

My wishlist might be not same as this ticket. Hm, grouping buddies and grouping chat are two different issues.

One reason that i won't switch from Gaim to bitlbee is Gaim's grouping feature. For me, i just needs a visible grouping, it's okay all buddies are list in one channel. e.g.,

== work
foo
bar
== school
oof
rab

Should be quite easy to implement?

comment:9 Changed at 2008-04-09T12:12:38Z by MentalFS <bitlbee.org@…>

In IRC, the server cannot determine in which order the userlist is shown. Most clients sort them by privilege (Operator, Voice, Normal) and then by alphabet. But that is entirely up to the client. So there is no reliable way to insert group separators into the list of users in a channel.

Using channels seems the best way to translate groups to IRC. I would like to see &bitlbee as some kind of special group, either catching all buddies that are in no group at all or just containing all buddies. This could be configurable.

For the channel thing, I see several possiblilities.

  • The message goes to &bitlbee - maybe only if this is set to "contain all buddies".
  • The message goes to the first channel the user is in - which leads to the question: what is the first one? The first in the alphabet? The first one in order of creation? The first group the buddy was added to? Maybe this could also work with last.
  • The message goes to all channels.

Above that, I think BitlBee should remember where the user responded to the buddy the last time. Like it happens when you talk to a buddy in &bitlbee, the buddies' messages are routed to the channel even if private is set to true.

comment:10 Changed at 2008-04-09T12:26:25Z by MentalFS <bitlbee.org@…>

I just realized... none of my IM clients ever offered me to add a buddy to several groups. So of course there is one other option:

  • Do not allow a buddy to be in multiple groups.

Maybe this is not possible at all with the supported protocols (on the server side). BTW this grouping should, if possible, be syncronized with the servers.

comment:11 Changed at 2008-07-03T15:04:26Z by Eric

I would greatly appreciate being able to do this in Bitlbee.

comment:12 Changed at 2008-07-05T08:52:00Z by Ronny

I'd also vote for adding this feature.

comment:13 Changed at 2008-07-11T20:41:26Z by edwin@…

Hehe, my 2 cents. blist could also be used for this, add another column next to Status, expand the functionality of blist to sort on groups also and then the client can take care of it itself from there. (then again, a group "glist" could then also be created, ofcourse :))

comment:14 Changed at 2008-08-13T16:39:29Z by anonymous

I like Edwin's idea. It would be also useful to have subgroups that can be accessed using "glist parent".

comment:15 Changed at 2010-05-17T15:40:45Z by anonymous

Ah, now with facebook, yahoo, msn messenger, google chat and all such in my messenger, I constantly have more than 100 nicks on the same channel which is quite a mess! If only had even that visible grouping or such...

comment:16 Changed at 2010-05-18T00:35:01Z by wilmer

This will be in the next major release. If you can survive for just another few weeks? :-)

comment:17 Changed at 2010-06-08T00:15:40Z by wilmer

See http://wiki.bitlbee.org/UiFix for a new branch that has this code. It will be merged into mainline and become a major release as soon as it stabilises.

comment:18 Changed at 2010-06-15T11:43:22Z by wilmer

Keywords: uifix added
Milestone: 1.4

comment:19 Changed at 2010-07-24T21:26:50Z by wilmer

I just merged ui-fix into mainline.

comment:20 Changed at 2010-07-24T21:31:45Z by wilmer

Resolution: fixed
Status: newclosed

comment:21 Changed at 2016-07-07T20:51:01Z by dx

Milestone: 1.4

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.